## nq_basic

nq_basic —

## Synopsis

    gboolean    nqOpen_netcdfFile               (const char *filename,
                                                 int *netcdfId,
                                                 GError **error);
    gboolean    nqClose_netcdfFile              (int netcdfId);
    gboolean    nqGetDim                        (int netcdfId,
                                                 GError **error,
                                                 char *name,
                                                 int *varId,
                                                 size_t *value);
    gboolean    nqCheckVar                      (int netcdfId,
                                                 GError **error,
                                                 char *name,
                                                 int *varId,
                                                 nc_type ncType,
                                                 int nbDims,
                                                 size_t *nbEleDims);

## Description

## Details

### nqOpen_netcdfFile ()

    gboolean    nqOpen_netcdfFile               (const char *filename,
                                                 int *netcdfId,
                                                 GError **error);

Open a file supposed to be a NETCDF file following the Nanoquanta specifications. The `netcdfId` argument will store the integer id used by netcdf in future calls if the given `filename` has a right header.

`filename` : | a path to the file to load ;
`netcdfId` : | a pointer to store the id returned by netcdf ;
`error` : | a pointer to store possible error.
Returns : | TRUE if the file is a valid NETCDF file, if FALSE, no file is opened.

### nqClose_netcdfFile ()

    gboolean    nqClose_netcdfFile              (int netcdfId);

Close the file that is currently opened by Netcdf.

`netcdfId` : | a netcdf identifier ;
Returns : | TRUE if the file is succesfully closed.

### nqGetDim ()

    gboolean    nqGetDim                        (int netcdfId,
                                                 GError **error,
                                                 char *name,
                                                 int *varId,
                                                 size_t *value);

`netcdfId` : |
`error` : |
`name` : |
`varId` : |
`value` : |
Returns : |

### nqCheckVar ()

    gboolean    nqCheckVar                      (int netcdfId,
                                                 GError **error,
                                                 char *name,
                                                 int *varId,
                                                 nc_type ncType,
                                                 int nbDims,
                                                 size_t *nbEleDims);

`netcdfId` : |
`error` : |
`name` : |
`varId` : |
`ncType` : |
`nbDims` : |
`nbEleDims` : |
Returns : |